#!/bin/sh
#
# get-calendar-src.sh - Get the calendar(1) source code from the OpenBSD
#                       source release.
#
# NOTE:  This takes a while because src.tar.gz is large.  We could get the
# calendar source from CVS, but we don't have CVS in Peachtree.  I am ok
# with this method as it is not something we will update often.
#
# David Cantrell <david.l.cantrell@gmail.com>
#

PATH=/bin:/usr/bin
VER="$(make show var=VER)"
SRC="http://ftp.openbsd.org/pub/OpenBSD/${VER}/src.tar.gz"
CWD="$(pwd)"
TMPDIR="$(mktemp -d --tmpdir=${CWD})"

fail_exit() {
    cd ${CWD}
    rm -rf ${TMPDIR}
    exit 1
}

cd ${TMPDIR}
curl -L --retry 3 --ftp-pasv -O ${SRC} || fail_exit
gzip -dc src.tar.gz | tar -xvf -
cd usr.bin
find calendar -type d -name CVS | xargs rm -rfv
rm -rfv calendar/obj
rm -rfv ${CWD}/src
cp -prv calendar ${CWD}/src
cd ${CWD}
rm -rfv ${TMPDIR}
