#!/bin/sh
#
# Find the bootstrap archive filenames that the Rust source expects
# to find cached.
#

PATH=/usr/bin
CWD="$(pwd)"
make clean extract

WRKSRC="$(make show var=WRKSRC)"

STAGE0_VER="$(grep ^rustc: ${WRKSRC}/src/stage0.txt | cut -d ' ' -f 2)"
STAGE0_CARGO_VER="$(grep ^cargo: ${WRKSRC}/src/stage0.txt | cut -d ' ' -f 2)"

for mach in x86_64 powerpc64 ; do
    echo "rust-std-${STAGE0_VER}-${mach}-unknown-linux-gnu.tar.gz"
    echo "rust-std-${STAGE0_VER}-${mach}-unknown-linux-gnu.tar.gz.asc"
    echo "rustc-${STAGE0_VER}-${mach}-unknown-linux-gnu.tar.gz"
    echo "rustc-${STAGE0_VER}-${mach}-unknown-linux-gnu.tar.gz.asc"
    echo "cargo-${STAGE0_CARGO_VER}-${mach}-unknown-linux-gnu.tar.gz"
    echo "cargo-${STAGE0_CARGO_VER}-${mach}-unknown-linux-gnu.tar.gz.asc"
done
