#!/usr/bin/python3
#
# {{{ Apache License version 2.0
#
# Copyright 2016 Chris Lumens <chris@bangmoney.org>
#                David Cantrell <david.l.cantrell@gmail.com>
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# }}}

import os
import re
import sys

if sys.version_info.major == 2:
    import ConfigParser as configparser
else:
    import configparser

UPSTREAM_FILE = 'upstream'

if __name__ == "__main__":
    modules = []

    upstream = configparser.SafeConfigParser()
    upstream.read(UPSTREAM_FILE)

    # iterate over each upstream source
    for section in upstream.sections():
        # we may be the upstream, so just continue
        if upstream.has_option(section, 'no_upstream') and upstream.getboolean(section, 'no_upstream'):
            continue

        if upstream.has_option(section, 'ver'):
            modules.append(section + '-' + upstream.get(section, 'ver'))

    if modules:
        print(' '.join(modules))
