# The Linux kernel version number.
# This file is included in package Makefiles that need the kernel version.
#
# Peachtree Linux kernel policy (as of March 2013):
# Given that Peachtree Linux is not intending to be a bleeding edge
# distribution, we should choose our kernels carefully.  The upstream
# kernel developers release a new mainline stable series every 2 or 3
# months, which is entirely too fast for us.  However, multiple
# branches are maintained as longterm stable releases.  We should
# choose the most recent longterm stable branch that works for us and
# avoid going with the latest mainline stable.  Many mainline releases
# move directly to EOL status rather than longterm status.
#
# 02-Mar-2013:  You see that we are on the 3.7 kernel series here,
# which has been declared EOL.  I'm ok with that.  We will just stick
# with it until a new longterm stable release later than 3.7 is posted
# on www.kernel.org.  --dcantrell
#
# 04-Jun-2013:  I thought there would be a new longterm release before
# we got to our non-testing release release, but no.  The most recent
# longterm kernel continues to be 3.4.x.  Both 3.7.x and 3.8.x are EOL
# and 3.9.x is not going to be longterm.  There is no indication what
# the next longterm one will be, but I would much rather be on an live
# longterm kernel than an EOL kernel for our first release. --dcantrell
#
# 02-Jan-2014:  Giving 3.10.x a try now.
#
# 23-Oct-2015:  The 4.1 kernel is the first longterm 4.x series kernel,
# so time to move to that.  The 3.x longterm kernels were reasonably
# reliable and consistent, so I am hoping for a repeat with 4.x.
#
# 23-Nov-2015:  4.1.13 is throwing all kinds of kernel panics from what
# I think is the iwlwifi driver on my dual Xeon workstation, so I'm
# going to take it to 4.2.x and see what happens.  --dcantrell
#
# 21-Dec-2015:  Trying 4.1.x series again with 4.1.15.  Some fixes for
# iwlwifi went in.  The 4.2.x series is EOL now, so I'd like to be on
# a longterm kernel.  --dcantrell
#
# 12-Oct-2017:  Following the longterm kernels has been working well
# for both architectures.  The x86_64 kernel needs to ensure it has the
# AES-NI support compiled in or LUKS encryption will be really slow.
# There are kernel test cases at the top level to check.  --dcantrell

KERNEL_VERSION = 4.14.85
