/* Check required arguments to make sure they are not missing. */

/* {{{ Apache License version 2.0
 */
/*
 * Copyright 2011-2018 David Cantrell <david.l.cantrell@gmail.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/* }}} */

#include "dist-tools.h"

/* We consider integer arguments set to <0 to be unset. */
int checkneg(int arg, char *reason) {
    if (arg < 0) {
        fprintf(stderr, "*** ERROR: %s.\n", reason);
        return -1;
    }

    return 0;
}

/* Check required string arguments to make sure they are not missing. */
int checknull(char *arg, char *reason) {
    if (arg == NULL) {
        fprintf(stderr, "*** ERROR: %s.\n", reason);
        return -1;
    }

    return 0;
}
