/* Free elements in a package structure. */

/* {{{ Apache License version 2.0
 */
/*
 * Copyright 2003-2018 David Cantrell <david.l.cantrell@gmail.com>
 *                     David Shea <david@reallylongword.org>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/* }}} */

#include <stdlib.h>
#include "dist-tools.h"
#include "strlist.h"

void freepkg(struct dist *package) {
    if (package != NULL) {
        free(package->tree);
        free(package->meta);
        free(package->name);
        free(package->ver);
        free(package->plist);
        free(package->arch);
        free(package->maintainer);
        free(package->desc);
        free(package->repo);
        free(package->license);
        free(package->filename);
        free(package->bom);
        free(package->reloc);
        free(package->etc);
        free(package->distname);
        free(package->depspath);
        free(package->legal);
        free(package->pkgdigest);
        free_strlist(package->deps);
        free_strlist(package->provs);
    }

    initpkg(package);
    return;
}
