/* {{{ Apache License version 2.0
 */
/*
 * Copyright 2018 David Cantrell <david.l.cantrell@gmail.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/* }}} */

#ifndef _PKGLIST_H
#define _PKGLIST_H

#include <sys/queue.h>
#include "dist.h"

/*
 * This describes a package list entry.
 */
typedef struct _pkglist_entry_t {
    struct dist *pkg;
    TAILQ_ENTRY(_pkglist_entry_t) items;
} pkglist_entry_t;

/*
 * Linked list defining an list of packages.
 */
typedef TAILQ_HEAD(pkglist_s, _pkglist_entry_t) pkglist_t;

#endif /* _PKGLIST_H */
