/* Package signature header file. */

/* {{{ Apache License version 2.0
 */
/*
 * Copyright 2018 David Cantrell <david.l.cantrell@gmail.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/* }}} */

#ifndef _SIGNATURE_H
#define _SIGNATURE_H

/*
 * Package signature
 */
#define SIGNATURE "Peachtree Linux PACKAGE v"
#define SIGNATURE_21 "2.1"   /* used from release 2.9.0 through 3.3.x */
#define SIGNATURE_22 "2.2"   /* used from release 3.4.0 to present    */
enum signature { NULLSIGVER = 0,
                 SIGVER_21 = 21,
                 SIGVER_22 = 22 };

/* This is the signature actually in use in this version of dist-tools. */
#define SIGNATURE_IN_USE SIGNATURE_22

#endif /* _SIGNATURE_H */
