/* {{{ Apache License version 2.0
 */
/*
 * Copyright 2018 David Cantrell <david.l.cantrell@gmail.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/* }}} */

#ifndef _STRLIST_H
#define _STRLIST_H

#include <sys/queue.h>

/*
 * This describes a basic string list entry.
 */
typedef struct _strlist_entry_t {
    char *val;
    TAILQ_ENTRY(_strlist_entry_t) items;
} strlist_entry_t;

/*
 * Linked list defining an list of strings.
 */
typedef TAILQ_HEAD(strlist_s, _strlist_entry_t) strlist_t;

#endif /* _STRLIST_H */
