/*
 * Initialize a package structure.
 */

/* {{{ Apache License version 2.0
 */
/*
 * Copyright 2003-2016 David Cantrell <david.l.cantrell@gmail.com>
 *                     David Shea <david@reallylongword.org>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/* }}} */

#include <string.h>
#include <archive.h>
#include "dist-tools.h"
#include "signature.h"

void initpkg(struct dist *package) {
    if (package == NULL) {
        if ((package = malloc(sizeof(package))) == NULL) {
            fprintf(stderr, "%s (%d): %s\n", __func__, __LINE__, strerror(errno));
            abort();
        }
    }

    package->id = -1;
    package->sigver = SIGVER_22;
    package->tree = NULL;
    package->meta = NULL;
    package->name = NULL;
    package->ver = NULL;
    package->rel = -1;
    package->plist = NULL;
    package->arch = NULL;
    package->maintainer = NULL;
    package->desc = NULL;
    package->repo = NULL;
    package->license = NULL;
    package->debug = false;
    package->pkgsize = 0;
    package->pkgdigest = NULL;
    package->size = 0;
    package->compression = ARCHIVE_COMPRESSION_LZMA;
    package->sumtype = SHA1SUM;
    package->do_cleanup = false;
    package->filename = NULL;
    package->bom = NULL;
    package->reloc = NULL;
    package->etc = NULL;
    package->distname = NULL;
    package->depspath = NULL;
    package->legal = NULL;
    package->deps = NULL;
    package->provs = NULL;

    return;
}
