#!/bin/sh
# Verify the required options on distadd are required.

title=" >>> $(basename ${0}) <<< "
line="-$(echo ${title} | sed -e 's|.|-|g')-"
echo
echo "+${line}+"
echo "|${title}|"
echo "+${line}+"
echo

LEAKCHECK_CMD=
[ "${LEAKCHECK}" = "y" ] && LEAKCHECK_CMD="valgrind --leak-check=full --show-reachable=yes "

DISTADD=$(readlink -f ../distadd)
FAILS=0
TREE="$(mktemp -d)"

[ ! -x ${DISTADD} ] && ${MAKE} -C ../ distadd

if [ "${LEAKCHECK}" = "y" ]; then
    echo "checking 'distadd'..."
    ${LEAKCHECK_CMD} ${DISTADD}
else
    echo -n "checking 'distadd'..."
    out="$(${DISTADD} 2>&1)"
    r=$?
    if [ ${r} -eq 1 -a "${out}" = "You must specify at least one package." ]; then
        FAILS=$((${FAILS} + ${r}))
        echo "passed."
    else
        echo "FAILED."
    fi
fi

rm -rf ${TREE}

if [ "${LEAKCHECK}" = "y" ]; then
    exit 0
else
    # expected 1 failure
    [ ${FAILS} -ne 1 ] && exit 1 || exit 0
fi
