/* Display the program name and version number. */

/* {{{ Apache License version 2.0
 */
/*
 * Copyright 2003-2018 David Cantrell <david.l.cantrell@gmail.com>
 *                     David Shea <david@reallylongword.org>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/* }}} */

#include <stdlib.h>
#include <assert.h>
#include <libgen.h>
#include "dist-tools.h"

int ver(char *progname) {
    char *prog = NULL;

    assert(progname != NULL);

    if ((prog = basename(progname)) == NULL) {
        return -1;
    }

    printf("%s version %s, built %s\n", prog, VERSION, BUILD_DATE);
    return 0;
}
