#!/bin/sh

JAVA_HOME=/usr/lib/java
export JAVA_HOME

# This is meant to make fonts in some Java applications look better than
# they do by default.  The information was obtained from this site:
#     https://wiki.archlinux.org/index.php/Java_Runtime_Environment_fonts
_JAVA_OPTIONS="-Dawt.useSystemAAFontSettings=lcd_hrgb"
export _JAVA_OPTIONS

echo "${PATH}" | grep "${JAVA_HOME}/bin" >/dev/null 2>&1
if [ $? -ne 0 ]; then
    PATH=${PATH}:${JAVA_HOME}/bin
    export PATH
fi

if [ -d /usr/share/java ]; then
    CLASSPATH="$(find /usr/share/java -type f -name "*.jar" -printf "%p:" 2>/dev/null)"
    export CLASSPATH
fi
