#!/bin/sh
#
# Fetch and rename the support source archives.  We give these a name
# with a version so our builders on other systems know to download new
# source code.
#
# NOTE: This means that when updating this package, you need to first
# update the icedtea source as you normally would by editing the
# archives file, running make fetch, and make makesum.  Then run this
# script to fetch the new support archives and rename them.  *Then*,
# you need to run 'make mirrors' at the top level to upload the new
# source to the mirror.  Why?  Because the support sources named this
# way won't exist upstream.
#

PATH=/usr/bin
CWD="$(pwd)"
VER="$(make show var=ICEDTEA_VER)"
PKGDISTFILES="$(make show var=PKGDISTFILES)"
SRCS="corba hotspot jaxp jaxws jdk langtools nashorn openjdk shenandoah"

grep "icedtea-" $CWD/archives > $CWD/archives.new
for s in $SRCS ; do
    echo "$s.tar.xz" >> $CWD/archives.new
done

mv $CWD/archives.new $CWD/archives
make fetch

grep "icedtea-" $CWD/archives > $CWD/archives.new
for s in $SRCS ; do
    mv $PKGDISTFILES/$s.tar.xz $PKGDISTFILES/$s-$VER.tar.xz
    echo "$s-$VER.tar.xz" >> $CWD/archives.new
done

mv $CWD/archives.new $CWD/archives
make makesum
