#!/bin/sh
#
# Unpack the icedtea source and figure out the version number to use
# for our openjdk package.
#

PATH=/usr/bin
CWD="$(pwd)"
WRKSRC="$(make show var=WRKSRC)"

make clean
make extract
JAVA_VER="$(grep JAVA_VER= ${WRKSRC}/configure | cut -d '=' -f 2)"

# These may be in Makefile.am or configure
JDK_UPDATE_VERSION="$(grep ^JDK_UPDATE_VERSION ${WRKSRC}/Makefile.am | rev | cut -d ' ' -f 1 | rev)"
if [ -z "${JDK_UPDATE_VERSION}" ]; then
    JDK_UPDATE_VERSION="$(grep JDK_UPDATE_VERSION= ${WRKSRC}/configure | cut -d '=' -f 2)"
fi

BUILD_VERSION="$(grep ^BUILD_VERSION ${WRKSRC}/Makefile.am | rev | cut -d ' ' -f 1 | rev)"
if [ -z "${BUILD_VERSION}" ]; then
    BUILD_VERSION="$(grep BUILD_VERSION= ${WRKSRC}/configure | cut -d '=' -f 2)"
fi

echo
echo "${JAVA_VER}_${JDK_UPDATE_VERSION}-${BUILD_VERSION}"
