#!/bin/sh
#
# is-sourceforge-url.sh: Prints 'y' if the given URL is a
#                        SourceForge URL, 'n' otherwise.
#
# {{{ Apache License version 2.0
#
# Copyright 2013-2016 David Cantrell <david.l.cantrell@gmail.com>
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# }}}

# The following environment variables and arguments are used:
#    $1           The URL to test.
# The script returns 'y' or 'n' for use in the Makefiles.

ret="n"

for url in $@ ; do
    if [ "$(echo "${url}" | cut -c-51)" = "http://sourceforge.net/api/file/index/project-name/" ]; then
        ret="y"
    else
        ret="n"
    fi
done

echo "${ret}"
exit 0
