#!/bin/sh
#
# Make sure our $CFLAGS are not in any /usr/bin scripts
#

PATH=/usr/bin:/usr/sbin
CWD="$(pwd)"
TEST="$0"
LOGNAME="$(basename $TEST .sh).log"
LOG="$CWD/$LOGNAME"

rm -f $LOG

echo -n "checking for CFLAGS in /usr/bin scripts..."

_check_tree() {
    find /usr/bin -type f | \
    grep -vE "(hardening-check|python3.*-config)" | \
    xargs grep -E "(fstack-protector-strong|D_FORTIFY_SOURCE|mtune)" | \
    grep -v 'Binary file '
    return $?
}

echo "Command:" >> $LOG
echo 'find /usr/bin -type f | \' >> $LOG
echo 'grep -vE "(hardening-check|python3.*-config)" | \' >> $LOG
echo 'xargs grep -E "(fstack-protector-strong|D_FORTIFY_SOURCE|mtune)" | \' >> $LOG
echo 'grep -v 'Binary file '' >> $LOG
echo >> $LOG

_check_tree >> $LOG 2>&1
RET=$?
echo >> $LOG

if [ $RET -eq 0 ]; then
    echo "FAIL (see $LOGNAME)"
else
    rm -f $LOG
    echo "pass"
fi

exit $RET
