#!/bin/sh
#
# Verify core system symlinks point to the right locations.
#

PATH=/usr/bin:/usr/sbin
CWD="$(pwd)"
RET=0

# /lib
echo -n "checking /lib is a symlink..."
if [ -L /lib ]; then
    echo "pass"
else
    echo "FAIL"
    RET=1
fi

echo -n "checking /lib points to /usr/lib..."
dest="$(readlink /lib)"
if [ "$dest" = "./usr/lib" ]; then
    echo "pass"
else
    echo "FAIL (points to $dest)"
    RET=1
fi

# /lib64
echo -n "checking /lib64 is a symlink..."
if [ -L /lib64 ]; then
    echo "pass"
else
    echo "FAIL"
    RET=1
fi

echo -n "checking /lib64 points to /usr/lib64..."
dest="$(readlink /lib64)"
if [ "$dest" = "./usr/lib64" ]; then
    echo "pass"
else
    echo "FAIL (points to $dest)"
    RET=1
fi

# /bin
echo -n "checking /bin is a symlink..."
if [ -L /bin ]; then
    echo "pass"
else
    echo "FAIL"
    RET=1
fi

echo -n "checking /bin points to /usr/bin..."
dest="$(readlink /bin)"
if [ "$dest" = "./usr/bin" ]; then
    echo "pass"
else
    echo "FAIL (points to $dest)"
    RET=1
fi

# /sbin
echo -n "checking /sbin is a symlink..."
if [ -L /sbin ]; then
    echo "pass"
else
    echo "FAIL"
    RET=1
fi

echo -n "checking /sbin points to /usr/sbin..."
dest="$(readlink /sbin)"
if [ "$dest" = "./usr/sbin" ]; then
    echo "pass"
else
    echo "FAIL (points to $dest)"
    RET=1
fi

# /usr/lib64
echo -n "checking /usr/lib64 is a symlink..."
if [ -L /usr/lib64 ]; then
    echo "pass"
else
    echo "FAIL"
    RET=1
fi

echo -n "checking /usr/lib64 points to /usr/lib..."
dest="$(readlink /usr/lib64)"
if [ "$dest" = "lib" ]; then
    echo "pass"
else
    echo "FAIL (points to $dest)"
    RET=1
fi

exit $RET
