#!/bin/sh
#
# Run distchk across entire system, which should be clean.
# XXX: this test needs some work, possibly also some changes to the
# actual distchk(8) command.  It is struggling with stdout and stderr.
#

PATH=/usr/bin:/usr/sbin
CWD="$(pwd)"
TEST="$(basename $0)"
LOGFILE="$(basename $TEST .sh).log"
LOG="$CWD/$LOGFILE"

rm -f $LOG

echo -n "checking 'distchk' output (this is slow)..."

distchk --help >/dev/null 2>&1
retval=$?

if [ $retval -eq 127 ]; then
    echo "FAIL (see $LOGFILE)"
    exit $retval
fi

CMD="distchk"

echo "Command:" >> $LOG
echo "$CMD" >> $LOG
echo >> $LOG
echo "$TEST" >> $LOG
echo "$(echo $TEST | sed -e 's|.|=|g')" >> $LOG
echo >> $LOG

# XXX: since distchk across the whole system is slow, just let it go
# to the console, but also capture it for the log.
#$CMD >> $LOG 2>&1
echo
$CMD 2>&1 | tee -a $LOG
retval=$?

if [ $retval -eq 0 ]; then
    echo "pass"
else
    echo "FAIL (see $LOGFILE)"
fi

exit $retval
